package com.ruoyi.common.core.service;

import com.easy.mongodb.core.biz.PageInfo;
import com.easy.mongodb.core.conditions.Wrapper;
import com.ruoyi.common.core.domain.entity.SysLogininfor;

import java.util.List;

/**
 * 系统访问日志情况信息 服务层
 *
 * @author ruoyi
 */
public interface ISysLogininforService {
    /**
     * 新增系统登录日志
     *
     * @param logininfor 访问日志对象
     */
    public void insertLogininfor(SysLogininfor logininfor);

    /**
     * 查询系统登录日志集合
     *
     * @param logininfor 访问日志对象
     * @return 登录记录集合
     */
    public List<SysLogininfor> selectLogininforList(SysLogininfor logininfor);

    /**
     * 分页查询系统登录日志集合
     *
     * @return 登录记录集合
     */
    PageInfo<SysLogininfor> page(Wrapper<SysLogininfor> wrapper, Integer pageNum, Integer pageSize);

    /**
     * 批量删除系统登录日志
     *
     * @param infoIds 需要删除的登录日志ID
     * @return 结果
     */
    public int deleteLogininforByIds(String[] infoIds);

    /**
     * 清空系统登录日志
     */
    public void cleanLogininfor();
}
